# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLCollection Class Reference

An `HTMLCollection` is a list of nodes. More...

`#include <html_misc.h>`

List of all members.

## Public Member Functions

| HTMLCollection (const HTMLCollection &other)
HTMLCollection & | operator= (const HTMLCollection &other)
unsigned long | length () const
| This attribute specifies the length or size of the list.
Node | item (unsigned long index) const
| This method retrieves a node specified by ordinal index.
Node | namedItem (const DOMString &name) const
| This method retrieves a `Node` using a name.
Node | base () const
HTMLCollectionImpl * | handle () const
bool | isNull () const
Node | firstItem () const
Node | nextItem () const
Node | nextNamedItem (const DOMString &name) const

## Protected Member Functions

| HTMLCollection (NodeImpl *base, int type)

## Protected Attributes

HTMLCollectionImpl * | impl

## Friends

class | HTMLDocument
class | HTMLSelectElement
class | HTMLImageElement
class | HTMLMapElement
class | HTMLTableElement
class | HTMLTableRowElement
class | HTMLTableSectionElement
class | HTMLElement

## Detailed Description

An `HTMLCollection` is a list of nodes.

An individual node may be accessed by either ordinal index or the node's `name` or `id` attributes. Note: Collections in the HTML DOM are assumed to be live meaning that they are automatically updated when the underlying document is changed.

Definition at line 126 of file html_misc.h.

## Member Function Documentation

unsigned long DOM::HTMLCollection::length | ( |  | ) | const

| This attribute specifies the length or size of the list.

Node DOM::HTMLCollection::item | ( | unsigned long | index | ) | const

This method retrieves a node specified by ordinal index.

Nodes are numbered in tree order (depth-first traversal order).

Parameters:

  index | The index of the node to be fetched. The index origin is 0.

Returns:
  The `Node` at the corresponding position upon success. A value of `null` is returned if the index is out of range.

Node DOM::HTMLCollection::namedItem | ( | const DOMString & | name | ) | const

This method retrieves a `Node` using a name.

It first searches for a `Node` with a matching `id` attribute. If it doesn't find one, it then searches for a `Node` with a matching `name` attribute, but only on those elements that are allowed a name attribute.

Parameters:

  name | The name of the `Node` to be fetched.

Returns:
  The `Node` with a `name` or `id` attribute whose value corresponds to the specified string. Upon failure (e.g., no node with this name exists), returns `null` .

The documentation for this class was generated from the following file:

- html_misc.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:18 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001